{% extends "dialog.html" %}
{% load applications_tags %}
{% block modal_id %}planner-modal-request-availabilities{% endblock %}
{% block header %}Request Availabilities{% endblock %}
{% block body %}
  <p>
    {{ volunteer.name }} will receive an email with a link to update their
    availability for the following operations:
  </p>
  <table class="table">
    <thead>
      <tr>
        <th>Operation</th>
        <th>Date</th>
        <th>Previous answer</th>
      </tr>
    </thead>
    <tbody>
      {% for entry in entries %}
        <tr>
          <td>{{ entry.operation.name }}</td>
          <td style="white-space: nowrap;">
            {{ entry.operation.start_date|date:"DATE_FORMAT" }} - {{ entry.operation.end_date|date:"DATE_FORMAT" }}
          </td>
          <td>
            {% if entry.last_response %}
              {{ entry.last_response.availability.get_availability_display|title }}
              {% if entry.last_response.outdated %}(outdated){% endif %}
            {% endif %}
          </td>
        </tr>
      {% endfor %}
    </tbody>
  </table>
  The email will be send to {{ volunteer.email }}
{% endblock %}
{% block buttons %}
  <form action="{% url "volunteer_request_availabilities" volunteer_id=volunteer.pk %}"
        method="post">
    {% csrf_token %}
    <input name="confirm"
           class="btn button btn-primary button-primary"
           type="submit"
           value="Send inquiry">
  </form>
{% endblock %}
